I'm thinking of upgrading to snow leopard but there is only ONE thing holding me back. I want to know if Amplitube Jimi Hendrix is compatible with snow leopard. I know that it is compatible with leopard (10.5) but how about (10.6)? BTW I'm currently on tiger and there are no problems at all. Has anyone else planning to upgrade soon, maybe they can give me a status report?